Subject: Re: bug#61814: [RFC] Asynchronous, jit-lock-based Flyspell

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Feb 2023 17:11:40 +0200

> From: Augusto Stoffel <[email-masked]>
> Date: Sun, 26 Feb 2023 15:56:00 +0100
> 
> Also, one obvious glitch is that one gets JIT™ corrections for the word
> being currently typed.  Before going on an writing some ugly logic to
> avoid that, and since one can influence an overlay appearance when the
> mouse pointer hovers it, I was wondering if there's something analogous
> for the cursor.

I'm not sure I understand the problem: just don't spell-check the word
at point and don't put any overlays there, and that's all.  Right?
Bonus points for doing this for the word at point only when the last
command was one of a list of known commands, like self-insert-command,
delete-char, yank, etc.